Package io.vertx.reactivex.ext.web.handler.sockjs

## Class BridgeEvent

- java.lang.Object
- - io.vertx.reactivex.core.Promise<Boolean>
  - - io.vertx.reactivex.ext.bridge.BaseBridgeEvent
    - - io.vertx.reactivex.ext.web.handler.sockjs.BridgeEvent

-     public class BridgeEvent
      extends BaseBridgeEvent

  Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BridgeEvent>` | `__TYPE_ARG` |

    - ### Fields inherited from class io.vertx.reactivex.core.Promise

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BridgeEvent​(BridgeEvent delegate)` |
    `BridgeEvent​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete​(Boolean result)` | Set the result.
    `void` | `complete​(Boolean result, Throwable failure)` |
    `boolean` | `equals​(Object o)` |
    `Future<Boolean>` | `future()` |
    `BridgeEvent` | `getDelegate()` |
    `void` | `handle​(AsyncResult<Boolean> asyncResult)` | Succeed or fail this promise with the event.
    `int` | `hashCode()` |
    `static BridgeEvent` | `newInstance​(BridgeEvent arg)` |
    `Single<Boolean>` | `rxFuture()` |
    `BridgeEvent` | `setRawMessage​(JsonObject message)` | Set the raw JSON message for the event.
    `SockJSSocket` | `socket()` | Get the SockJSSocket instance corresponding to the event
    `void` | `succeed​(Boolean result)` |
    `String` | `toString()` |
    `boolean` | `tryComplete​(Boolean result)` | Like `Promise.complete(T, java.lang.Throwable)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.

    - ### Methods inherited from class io.vertx.reactivex.ext.bridge.BaseBridgeEvent

      `getRawMessage, newInstance, type`

    - ### Methods inherited from class io.vertx.reactivex.core.Promise

      `complete, fail, fail, newInstance, newInstance, promise, succeed, tryComplete, tryFail, tryFail`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BridgeEvent> __TYPE_ARG

  - ### Constructor Detail

    - #### BridgeEvent

          public BridgeEvent​(BridgeEvent delegate)

    - #### BridgeEvent

          public BridgeEvent​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BaseBridgeEvent`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `BaseBridgeEvent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseBridgeEvent`

    - #### getDelegate

          public BridgeEvent getDelegate()

      Overrides:
        `getDelegate` in class `BaseBridgeEvent`

    - #### complete

          public void complete​(Boolean result,
                               Throwable failure)

      Overrides:
        `complete` in class `BaseBridgeEvent`

    - #### complete

          public void complete​(Boolean result)

      Set the result. Any handler will be called, if there is one, and the promise will be marked as completed.

      Any handler set on the associated promise will be called.
      Overrides:
        `complete` in class `BaseBridgeEvent`
      Parameters:
        `result` - the result

    - #### succeed

          public void succeed​(Boolean result)

      Overrides:
        `succeed` in class `BaseBridgeEvent`

    - #### tryComplete

          public boolean tryComplete​(Boolean result)

      Like `Promise.complete(T, java.lang.Throwable)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.
      Overrides:
        `tryComplete` in class `BaseBridgeEvent`
      Parameters:
        `result` - the result
      Returns:
        `false` when the future is already completed

    - #### future

          public Future<Boolean> future()

      Overrides:
        `future` in class `BaseBridgeEvent`
      Returns:
        the associated with this promise, it can be used to be aware of the promise completion

    - #### rxFuture

          public Single<Boolean> rxFuture()

      Overrides:
        `rxFuture` in class `BaseBridgeEvent`
      Returns:
        the associated with this promise, it can be used to be aware of the promise completion

    - #### setRawMessage

          public BridgeEvent setRawMessage​(JsonObject message)

      Set the raw JSON message for the event.
      Overrides:
        `setRawMessage` in class `BaseBridgeEvent`
      Parameters:
        `message` - the raw message
      Returns:
        this reference, so it can be used fluently

    - #### socket

          public SockJSSocket socket()

      Get the SockJSSocket instance corresponding to the event
      Returns:
        the SockJSSocket instance

    - #### handle

          public void handle​(AsyncResult<Boolean> asyncResult)

      Succeed or fail this promise with the event.
      Overrides:
        `handle` in class `BaseBridgeEvent`
      Parameters:
        `asyncResult` - the async result to handle

    - #### newInstance

          public static BridgeEvent newInstance​(BridgeEvent arg)